## org.eclipse.jetty.plus.jndi
Class Link

    java.lang.Object
      org.eclipse.jetty.plus.jndi.NamingEntry
          org.eclipse.jetty.plus.jndi.Link

    public class Link

extends NamingEntry

Field Summary

Fields inherited from class org.eclipse.jetty.plus.jndi.NamingEntry
`__contextName, jndiName, namingEntryNameString, objectNameString, objectToBind`

Constructor Summary
`Link(Object scope, String jndiName, Object object)`
`Link(String jndiName, Object object)`

Method Summary
`void` `bindToENC(String localName)` Add a java:comp/env binding for the object represented by this NamingEntry, but bind it as the name supplied

Methods inherited from class org.eclipse.jetty.plus.jndi.NamingEntry
`getJndiName, getJndiNameInScope, getObjectToBind, release, save, unbindENC`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Link

    public Link(Object scope,
                String jndiName,
                Object object)
         throws NamingException

Throws:
  `NamingException`

### Link

    public Link(String jndiName,
                Object object)
         throws NamingException

Throws:
  `NamingException`

Method Detail

### bindToENC

    public void bindToENC(String localName)
                   throws NamingException

  Description copied from class: `NamingEntry`
  Add a java:comp/env binding for the object represented by this NamingEntry, but bind it as the name supplied

  Overrides:
    `bindToENC` in class `NamingEntry`
  Throws:
    `NamingException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.